package com.iformall.service;

import com.iformall.domain.po.MallUserInfo;
import com.iformall.domain.po.SysUserToken;

/**
 * 用户Token
 *
 * @author Stormeye
 */
public interface SysUserTokenService {

	/**
	 * 生成token
	 * @param userId  用户ID
	 */
	SysUserToken createToken(long userId, String tenantId);

	/**
	 * 退出，修改token值
	 * @param userId  用户ID
	 */
	void logout(long userId);

	SysUserToken queryByToken(String token);

	SysUserToken queryByUserId(long userId);

	MallUserInfo queryUser(Long userId);

}
